Package org.codehaus.groovy.jsr223

# Class GroovyCompiledScript

java.lang.Object
javax.script.CompiledScript
org.codehaus.groovy.jsr223.GroovyCompiledScript

public class GroovyCompiledScript extends CompiledScript
Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads. Adapted from original by Mike Grogan and A. Sundararajan

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)`
  Creates a compiled-script wrapper for a Groovy class produced by an engine instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `eval(ScriptContext context)`
  Evaluates the compiled script with the supplied script context.
  `ScriptEngine`
  `getEngine()`
  Returns the engine that produced this compiled script.

  ### Methods inherited from class javax.script.CompiledScript

  `eval, eval`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class<?> clazz)
    Creates a compiled-script wrapper for a Groovy class produced by an engine instance.
    Parameters:
      `engine` - the engine that compiled the script
      `clazz` - the compiled script class

- ## Method Details

  - ### eval

    public Object eval(ScriptContext context) throws ScriptException
    Evaluates the compiled script with the supplied script context.
    Specified by:
      `eval` in class `CompiledScript`
    Parameters:
      `context` - the execution context to use
    Returns:
      the script result, or the compiled class when it does not extend `Script`
    Throws:
      `ScriptException` - if evaluation fails

  - ### getEngine

    public ScriptEngine getEngine()
    Returns the engine that produced this compiled script.
    Specified by:
      `getEngine` in class `CompiledScript`
    Returns:
      the owning Groovy script engine